#!/bin/sh

env >>/var/log/cgdebug
echo "Pre-generate cgroup for User: ${PAM_USER} Uid: $(id -u ${PAM_USER}) Gid: $(id -g ${PAM_USER})" >>/var/log/cgdebug

if [ "$(id -u ${PAM_USER})" -ge 1000 ]
then
  cgcreate -g cpu,cpuacct,memory:{{ cgroup_naming_pattern | replace ('%u','${PAM_USER}')
                                                          | replace ('%U','$(id -u ${PAM_USER})')
                                                          | replace ('%G','$(id -g ${PAM_USER})')}} >>/var/log/cgdebug 2>>/var/log/cgdebug
fi
